import { MiddlewareConsumer, Module, NestModule } from '@nestjs/common'
import { ConfigModule } from '@nestjs/config'
import { HubModule } from './hub/hub.module'
import { LoggerMiddleware } from './middlewares/logger.middleware'
import { SmsModule } from './sms/sms.module';
import { ChatwootModule } from './chatwoot/chatwoot.module';

@Module({
  imports: [
    ConfigModule.forRoot({
      isGlobal: true
    }),
    HubModule,
    SmsModule,
    ChatwootModule
  ],
  providers: [HubModule]
})
export class AppModule implements NestModule {
  configure (consumer: MiddlewareConsumer) {
    consumer.apply(LoggerMiddleware)
      .forRoutes('*')
  }
}
