import ChatwootClient from '@figuro/chatwoot-sdk';
import { Injectable } from '@nestjs/common';

interface CWWebhook {

}

interface CWMessageCreatedWebhook extends CWWebhook {
  event: "message_created"
  id: string
  content: string
  created_at: string
  message_type: "incoming" | "outgoing"
  content_type: "input_select" | "cards" | "form" | "text"
  content_attributes: any
  source_id: string
  sender: {
    id: string
    name: string
    email: string
  }
  contact: {
    id: string
    name: string
  }
  account: {
    id: number
    name: string
  }
  conversation: {
    additional_attributes: any
    channel: string,
    id: number,
  }

}

interface ReceiveChatwootWebhookData {
  event: string
  

}

@Injectable()
export class ChatwootService {

  constructor(
    private readonly cw: ChatwootClient,
  ) {
  }


  receiveChatwootWebhook(
    webhookData: ReceiveChatwootWebhookData  
  ) {

    const { token } = webhookData

    const client = new ChatwootClient({
      config: {
        basePath: 'http://172.31.187.223:3000',
        with_credentials: true,
        credentials: "include",
        token: "clie"
      }
    })

  }

  findAll() {
    return `This action returns all chatwoot`;
  }

  findOne(id: number) {
    return `This action returns a #${id} chatwoot`;
  }

  update(id: number, updateChatwootDto: UpdateChatwootDto) {
    return `This action updates a #${id} chatwoot`;
  }

  remove(id: number) {
    return `This action removes a #${id} chatwoot`;
  }
}
