import { CanActivate, ExecutionContext, Injectable, UnauthorizedException } from '@nestjs/common'
import { Request } from 'express'

@Injectable()
export class ApiKeyGuard implements CanActivate {
  canActivate (context: ExecutionContext): boolean {
    const request = context.switchToHttp().getRequest<Request>()
    const apiKey = request.headers['x-api-key']

    const validApiKey = process.env.API_KEY

    if (apiKey && apiKey === validApiKey) {
      return true
    }

    throw new UnauthorizedException('API key is invalid or missing')
  }
}
